summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroot <root@evil.(none)>2009-06-08 21:08:18 +0300
committerroot <root@evil.(none)>2009-06-08 21:08:18 +0300
commit40dd415064e674c1c0ff0379818dec33b81d25e9 (patch)
tree6a26c0b900ee6c4d5a81e07aca379591db8de5c0
parente4e5d1b0b1150b075840cf8d807f8001e619aeca (diff)
new file: lua51/lua51-1.6-r1.ebuild (lua plugins for verlihub)
-rwxr-xr-xnet-libs/lua51/lua51-1.6-r1.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/net-libs/lua51/lua51-1.6-r1.ebuild b/net-libs/lua51/lua51-1.6-r1.ebuild
new file mode 100755
index 0000000..c658f6e
--- /dev/null
+++ b/net-libs/lua51/lua51-1.6-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="LUA 5.0 plugins for Verlihub"
+HOMEPAGE="http://www.verlihub-project.org"
+SRC_URI="mirror://sourceforge/verlihub/${PN}-${PV}.tar.gz"
+LICENSE="GPL-2"
+KEYWORDS="amd64 x86-fbsd x86"
+DEPEND="net-p2p/verlihub
+ dev-lang/lua"
+S=${WORKDIR}/lua
+
+src_unpack() {
+ unpack "${PN}-${PV}.tar.gz"
+ cd "${S}"
+}
+
+src_compile() {
+ #econf || die
+ ./configure
+ emake || die "Make failed for problems or bugs please visit http://forums.verlihub-project.org/"
+}
+
+ src_install() {
+ make DESTDIR=${D} install || die
+
+ }
+
+ pkg_postinst() {
+ einfo "LUA 5.1.x is now installed, please run it using !onplug lua or!plugin /usr/local/lib/liblua_pi.so"
+ ewarn "Do NOT report bugs to Gentoo's bugzilla"
+ einfo "Please report all bugs to http://forums.verlihubproject.org"
+ einfo "Verlihub-project team"
+}
+